apiVersion: v1
kind: Service
metadata:
  name: nginx-service-single-stack-v6
  namespace: {{ check_services_namespace | to_json }}
spec:
  selector:
    app: nginx-single-stack-v6
  ipFamilies:
  - IPv6
  ipFamilyPolicy: SingleStack
  ports:
    - protocol: TCP
      nodePort: {{ deprecated_nodeport_lb_test_port }}
      port: 8080
      targetPort: 8080
  type: NodePort

---
apiVersion: v1
kind: Pod
metadata:
  labels:
    app: nginx-single-stack-v6
  name: nginx-single-stack-v6
  namespace: {{ check_services_namespace | to_json }}
spec:
  securityContext:
    runAsNonRoot: true
    runAsUser: 24635
    runAsGroup: 24635
    fsGroup: 24635
  tolerations:
  - key: "node-role.kubernetes.io/control-plane"
    operator: Exists
    effect: NoSchedule
  - key: "node-role.kubernetes.io/master"
    operator: Exists
    effect: NoSchedule
  containers:
  - image: registry.gitlab.com/yaook/images/k8s-nginx:main
    name: nginx-single-stack-v6
    resources: {}
  dnsPolicy: ClusterFirst
  restartPolicy: Never
{% if testing_nodes is defined and testing_nodes | length > 0 %}
  nodeSelector:
    kubernetes.io/hostname: {{ testing_nodes | first | to_json }}
{% endif %}
